<?php

/**
 * Subclass for performing query and update operations on the 'katao_supplier_invoice_order' table.
 *
 * @package lib.model
 */
class KataoSupplierInvoiceOrderPeer extends BaseKataoSupplierInvoiceOrderPeer {
    public static function getAllByKataoSupplierInvoiceId($katao_supplier_invoice_id) {
        $return = array();

        $criteria = new Criteria();
        $criteria->addSelectColumn(self::KATAO_ORDER_ID);
        $criteria->add(self::KATAO_SUPPLIER_INVOICE_ID, $katao_supplier_invoice_id);

        $rs = self::doSelectRS($criteria);
        while ($rs->next()) {
            $return[$rs->getInt(1)] = true;
        }

        return $return;
    }
}